using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Music.Model;

namespace Music.Presentation
{
    public class ArtistSongsPresenter : IArtistSongsPresenter
    {
        private IArtistSongsView _view;
        private SongService _songService;

        public ArtistSongsPresenter(IArtistSongsView view,
            SongService songService)
        {
            _view = view;
            _songService = songService;
        }

        #region IArtistAlbumsPresenter Members

        public void Display()
        {
            _view.ArtistSongList =
                _songService.GetSongsBy(_view.ArtistId);
            _view.Artist = _songService.GetArtistBy(_view.ArtistId);
            _view.ArtistList = _songService.GetAllArtists();
        }

        #endregion
    }
}
